/v1/workspaces/{workspace_id}/categoriesAuthList categories
By `ordinal`, then oldest first.
Path parameters
workspace_id*string · uuidId of the workspace.
Query parameters
cursorstringOpaque cursor: the `next_cursor` of the previous page.
limitintegerPage size.
Response · 200 A page of categories.
data*arrayCategories by `ordinal`, then oldest first.
pagination*objectThe cursor for the next page.
Example
Request
GET https://api.notify.productcraft.co/v1/workspaces/{workspace_id}/categories
Authorization: Bearer YOUR_TOKENResponse
{
"data": [
{
"id": "00000000-0000-0000-0000-000000000000",
"key": "security",
"name": "string",
"description": "string",
"defaults": {},
"ordinal": 0,
"android_channel_id": "string",
"transactional": false,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}
],
"pagination": {}
}